# Class WindowTaskComponent

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:32

#####
Index

### Constructors

constructor

### Properties

window

### Methods

close
reopen

##
Constructors

### constructor

- new WindowTaskComponent(): WindowTaskComponent

  #### Returns WindowTaskComponent

##
Properties

### window

window: WindowRef<any>

- Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:34

##
Methods

### close

- close(): void

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:36

### reopen

- reopen(): void

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window-task-bar/window-task/window-task.component.ts:40